| DocBook: The Definitive Guide Version 2.0.8 (Alpha)

# sect4

$Revision: 1.2 $

$Date: 2002/06/11 01:20:14 $

sect4 — A subsection within a `Sect3`

## Synopsis

### Content Model

    sect4 ::=
    (sect4info?,
     (title,subtitle?,titleabbrev?),
     (toc|lot|index|glossary|bibliography)*,
     (((calloutlist|glosslist|itemizedlist|orderedlist|segmentedlist|
        simplelist|variablelist|caution|important|note|tip|warning|
        literallayout|programlisting|programlistingco|screen|screenco|
        screenshot|synopsis|cmdsynopsis|funcsynopsis|classsynopsis|
        fieldsynopsis|constructorsynopsis|destructorsynopsis|
        methodsynopsis|formalpara|para|simpara|address|blockquote|
        graphic|graphicco|mediaobject|mediaobjectco|informalequation|
        informalexample|informalfigure|informaltable|equation|example|
        figure|table|msgset|procedure|sidebar|qandaset|productionset|
        constraintdef|anchor|bridgehead|remark|highlights|abstract|
        authorblurb|epigraph|indexterm|beginpage)+,
       ((refentry)*|
        sect5*|simplesect*))|
      (refentry)+|
      sect5+|simplesect+),
     (toc|lot|index|glossary|bibliography)*)

### Attributes

Common attributes

Name | Type | Default

renderas

Enumeration:
sect1
sect2
sect3
sect5

None

status | CDATA | None
label | CDATA | None

## Description

A `Sect4` is a fourth-level section in a document.

### Processing expectations

Formatted as a displayed block. Sometimes sections are numbered.

### Future Changes

In DocBook V4.0, the `ToC` element in the content model will be replaced by `TocChap`.

### Parents

These elements contain sect4: `sect3`.

### Children

The following elements occur in sect4: `abstract`, `address`, `anchor`, `authorblurb`, `beginpage`, `bibliography`, `blockquote`, `bridgehead`, `calloutlist`, `caution`, `classsynopsis`, `cmdsynopsis`, `constraintdef`, `constructorsynopsis`, `destructorsynopsis`, `epigraph`, `equation`, `example`, `fieldsynopsis`, `figure`, `formalpara`, `funcsynopsis`, `glossary`, `glosslist`, `graphic`, `graphicco`, `highlights`, `important`, `index`, `indexterm`, `informalequation`, `informalexample`, `informalfigure`, `informaltable`, `itemizedlist`, `literallayout`, `lot`, `mediaobject`, `mediaobjectco`, `methodsynopsis`, `msgset`, `note`, `orderedlist`, `para`, `procedure`, `productionset`, `programlisting`, `programlistingco`, `qandaset`, `refentry`, `remark`, `screen`, `screenco`, `screenshot`, `sect4info`, `sect5`, `segmentedlist`, `sidebar`, `simpara`, `simplelist`, `simplesect`, `subtitle`, `synopsis`, `table`, `tip`, `title`, `titleabbrev`, `toc`, `variablelist`, `warning`.

## Attributes

label

  `Label` specifies an identifying string for presentation purposes.

  Generally, an explicit `Label` attribute is used only if the processing system is incapable of generating the label automatically. If present, the `Label` is normative; it will used even if the processing system is capable of automatic labelling.

renderas

  The `RenderAs` attribute identifies how the section should be rendered. In this way, a section at one level of the structural hierarchy can be made to appear to be at another level.

status

  `Status` identifies the editorial or publication status of the `Sect4`.

  Publication status might be used to control formatting (for example, printing a “draft” watermark on drafts) or processing (perhaps a document with a status of “final” should not include any components that are not final).

## See Also

`bridgehead`, `sect1`, `sect2`, `sect3`, `sect5`, `section`, `simplesect`.

sect3info |  | sect4info

Copyright © 1999, 2000, 2001, 2002 O'Reilly & Associates, Inc. All rights reserved.